Name:           indexhtml
Epoch:          1
Version:        6.0
Release:        %mkrel 1
Summary:        Mageia html welcome page
Group:          System/Base
License:        GPLv3+
URL:            http://mageia.org
Source0:        http://gitweb.mageia.org/software/indexhtml/snapshot/%{name}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  intltool
Requires(pre):  mageia-release-common
Requires(post): coreutils sed mageia-release-Default

%description
Mageia index.html welcome page displayed by web browsers
when they are launched, first mail displayed on mail clients
after installation and "about" information.

%prep
%autosetup

%build
cd about
./create_html.sh

%install
install -d -m 0755 %{buildroot}%{_datadir}/indexhtml/
tar c -C HTML . | tar x -C %{buildroot}%{_datadir}/indexhtml/

install -d -m 0755 %{buildroot}%{_datadir}/mga/mail/text/
install -d -m 0755 %{buildroot}%{_datadir}/mga/mail/html/
for lang in $(find mail/header-* -type f | sed "s|mail/header-||" ); do
      cat mail/header-$lang &> tmpfile
      cat mail/mail-$lang.txt >> tmpfile
      install -m 0644 tmpfile %{buildroot}%{_datadir}/mga/mail/text/mail-$lang

      cat mail/header-$lang &> tmpfile
      echo "Content-Type: multipart/related; type=\"multipart/alternative\";" >>tmpfile
      echo "       boundary=\"=-tThpx1YEZqL4gn53WjQ1\"" >> tmpfile
      echo "" >> tmpfile
      echo "--=-tThpx1YEZqL4gn53WjQ1" >> tmpfile
      echo "Content-Type: multipart/alternative; boundary=\"=-aFPGjTr5jUHhXPWxbLcT\"" >>tmpfile
      echo "" >> tmpfile
      echo "--=-aFPGjTr5jUHhXPWxbLcT" >> tmpfile
      cat mail/mail-$lang.txt >> tmpfile
      cat mail/mail-$lang.html >> tmpfile
#      cat mail/mail-images >> tmpfile
      install -m 0644 tmpfile %{buildroot}%{_datadir}/mga/mail/html/mail-$lang

done

# about Mageia
install -d -m 0755 %{buildroot}%{_bindir}
install -d -m 0755 %{buildroot}%{_datadir}/applications
cp about/about-mageia.desktop %{buildroot}%{_datadir}/applications 
install -m 0755 about/about-mageia %{buildroot}%{_bindir}/about-mageia

%post
# adapt to the LANG and PRODUCT_ID of the installation
mkdir -p  %{_datadir}/indexhtml
sed -i -e "s/#PRODUCT_ID/`cat /etc/product.id`/" \
    -e "s/#LANG/${LC_NAME/[-_]*}/g" \
    %{_datadir}/indexhtml/index.html

%files
%{_bindir}/about-mageia
%{_datadir}/mga/mail/
%{_datadir}/indexhtml/
%{_datadir}/applications/about-mageia.desktop


%changelog
* Mon Mar 13 2017 akien <akien> 1:6.0-1.mga6
+ Revision: 1092442
- Version 6.0
  o Upstreams Source1 and Source2 and updates translations
- Remove mga1 compat symlink

* Mon Feb 08 2016 umeabot <umeabot> 1:1-17.mga6
+ Revision: 950777
- Mageia 6 Mass Rebuild

* Fri Nov 21 2014 alexl <alexl> 1:1-16.mga5
+ Revision: 798054
- added Greek translation

* Fri Nov 21 2014 alexl <alexl> 1:1-15.mga5
+ Revision: 798050
- fixed and updated translations for about-mageia.desktop

* Wed Oct 15 2014 umeabot <umeabot> 1:1-14.mga5
+ Revision: 746517
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1-13.mga5
+ Revision: 680503
- Mageia 5 Mass Rebuild

* Sun Jan 19 2014 tarakbumba <tarakbumba> 1:1-12.mga5
+ Revision: 567052
- Add about-mageia translations from git
- Revert previous commit for create_html.sh stuff; needed to desktop file creation
- Cleanup specfile from useless steps and fix buildroot paths.
- Open mageia.org/about page in web browser instead of useless index.html page

* Sat Oct 19 2013 umeabot <umeabot> 1:1-10.mga4
+ Revision: 523531
- Mageia 4 Mass Rebuild

* Sat May 18 2013 tmb <tmb> 1:1-9.mga3
+ Revision: 413528
- use new Mageia logo

* Sat Jan 12 2013 umeabot <umeabot> 1:1-8.mga3
+ Revision: 354390
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Apr 25 2012 malo <malo> 1:1-7.mga2
+ Revision: 233282
- add requires(post): mageia-release-Default to get /etc/product.id (bug #3919)

* Sat May 14 2011 ennael <ennael> 1:1-6.mga1
+ Revision: 98836
- update translations

* Thu Apr 28 2011 ahmad <ahmad> 1:1-5.mga1
+ Revision: 93338
- Update indexthml with latest changes from /svn/soft

  + blino <blino>
    - fix comment

* Fri Apr 08 2011 ahmad <ahmad> 1:1-4.mga1
+ Revision: 82312
- add a compatibility symlink so that the default home page isn't broken for
  users upgrading to Mageia 1 (should be dropped after Mageia 1)

* Wed Mar 30 2011 ahmad <ahmad> 1:1-3.mga1
+ Revision: 79058
- fix the license tag
- modify index.html only once
- drop requires on gawk, not needed now

  + rda <rda>
    - Move index.html in better, generic place.
     - move from /usr/share/doc/HTML/index.html
       to /usr/share/indexhtml/
     - drops /usr/share/doc/HTML
     - replaces a few string substitutions
     - removes hardcoded mga in /usr/share/mga/indexhtml
     - leaves hardcoded mga in /usr/share/mga/mail/*
       (I am not sure how to patch evolution about that)

* Tue Feb 08 2011 ahmad <ahmad> 1:1-2.mga1
+ Revision: 48866
+ rebuild (emptylog)

* Tue Feb 08 2011 ennael <ennael> 1-1.mga1
+ Revision: 48857
- update version and clean spec file
- imported package indexhtml

